Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008331opensim[REGION] OpenSim Corepublic2018-07-04 03:402018-07-04 09:12
Reporteraiaustin 
Assigned ToFly-Man- 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusacknowledgedResolutionopen 
PlatformPCOSWindowsOS Version10
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0008331: Vivox voice server issues in upcoming viewers
DescriptionFirestorm JIRA is reporting an incompatibility between OpenSim with latest Vivox bundled versions... see

https://jira.phoenixviewer.com/browse/FIRE-22709 [^]
[OpenSim] Local voice chat broken on OpenSim

Updating to Vivox 4.9.0002.27586 as used in latest Linden Lab and development versions of Firestorm (not yet released)apparently does not work in OpenSim. Fixes might include bundling the older Vivox 4.6.0017.21209 to use if Firestorm is used for OpenSim.
Additional InformationNote, this is a report to coordinate with information on the Firestorm JIRA and not something I have tried myself in test versions of Firestorm under development. the current released Firestorm 5.0.11.53634 works fine with current OpenSim.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm
Attached Files

- Relationships

-  Notes
(0032725)
Fly-Man- (developer)
2018-07-04 08:13

I've seen this as well on the JIRA however this has to do with the Firestorm Beta viewer.

Normal viewers will not have this issues (and I am sure someone from FS is already talking to Vivox about this problem)
(0032726)
watcher64 (reporter)
2018-07-04 08:29

Also this has already been patched by the FS team in their dev code


FIRE-22709: Fix for local voice not working in OpenSim on Windows

Use re-bundled Vivox voice SDK version 4.6.0017.21209 from previous release when
logging into OpenSim since the updated version 4.9.0002.27586 is apparently
incompatible with OpenSim. Use new version only for Second Life.
(0032727)
watcher64 (reporter)
2018-07-04 08:45

I would also like to add that since LL is no longer supporting Linux, "fixing" OS to support the newer Vivox could easily break compatibility with the older version which it seems Linux may be stuck with ..
(0032728)
tampa (reporter)
2018-07-04 09:12

We have been getting the worse end of the stick when it comes to vivox anyways, the quality of the codec has gone down the drain over the years. Maybe all the more reason to look for an alternative?

- Issue History
Date Modified Username Field Change
2018-07-04 03:40 aiaustin New Issue
2018-07-04 03:41 aiaustin Description Updated View Revisions
2018-07-04 08:13 Fly-Man- Note Added: 0032725
2018-07-04 08:13 Fly-Man- Assigned To => Fly-Man-
2018-07-04 08:13 Fly-Man- Status new => acknowledged
2018-07-04 08:29 watcher64 Note Added: 0032726
2018-07-04 08:45 watcher64 Note Added: 0032727
2018-07-04 09:12 tampa Note Added: 0032728


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker